# retrieveVerifiedAccount

You can use this function to retrieve your account by the account name. If your account name is the same as your public key, you can use it like so:

```
const account = await retrieveVerifiedAccount({ accountName: PUBLIC_KEY });
```

Otherwise, pass your account name into the function:

```
const account = await retrieveVerifiedAccount({ accountName: 'my-account-name' });
```

![](/files/kOhij2S5MFAVtQo0oSye)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecko.finance/eckodao/sdk/reference/retrieveverifiedaccount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
